package ru.dbotthepony.mc.otm.matter

import net.minecraft.world.item.ItemStack

interface IMatterItem {
	fun getMatterValue(stack: ItemStack): IMatterValue?
	fun hasMatterValue(stack: ItemStack) = getMatterValue(stack) != null
	fun canDecompose(stack: ItemStack): Boolean
}
